(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12760,        408]
NotebookOptionsPosition[     11899,        379]
NotebookOutlinePosition[     12384,        398]
CellTagsIndexPosition[     12341,        395]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"par", ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Total", "[", 
      SuperscriptBox["#", 
       RowBox[{"-", "1"}]], "]"}], 
     RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ser", ":=", "Total"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"R1", ",", "R2", ",", "R3", ",", "R4"}], "}"}], "=", 
   RowBox[{"N", "@", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"C1", ",", "C2", ",", "C3"}], "}"}], "=", 
   RowBox[{
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]], "*", 
    RowBox[{"N", "@", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"L1", ",", "L2", ",", "L3"}], "}"}], "=", 
   RowBox[{
    SuperscriptBox["10", 
     RowBox[{"-", "3"}]], "*", 
    RowBox[{"N", "@", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Min", "=", 
   RowBox[{"9", "*", 
    SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Max", "=", 
   RowBox[{"1", "*", 
    SuperscriptBox["10", "5"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"obor", "=", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "zadane", " ", "schema", " ", "a", " ", "hodnoty", " ", 
    "vygenerujte", " ", "shodne", " ", "grafy", " ", "jako", " ", "v", " ", 
    "notebooku", " ", 
    RowBox[{"vypocetImpedance", ".", "nb"}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.79699819740625*^9, 3.79699822328125*^9}, {
  3.796999288453125*^9, 3.796999333078125*^9}, {3.79699941275*^9, 
  3.796999426484375*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.79699511790625*^9, 3.79699722846875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"za", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R1", ",", 
      RowBox[{"I", "*", "\[Omega]", "*", "L1"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zb", "=", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"za", ",", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "C1"}]]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zc", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R2", ",", 
      RowBox[{"I", "*", "\[Omega]", "*", "L2"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zd", "=", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"zc", ",", "zb"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ze", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "C2"}]], ",", "R4"}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zf", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"I", "*", "\[Omega]", "*", "L3"}], ",", "R3"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zg", "=", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"ze", ",", "zf"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"zd", ",", "zg", ",", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "C3"}]]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.79699824434375*^9, 3.796998382046875*^9}, {
  3.796998429734375*^9, 3.796998527609375*^9}, {3.796998576765625*^9, 
  3.796998608484375*^9}}],

Cell[BoxData[
 RowBox[{"plAbs", "=", 
  RowBox[{"LogLogPlot", "[", 
   RowBox[{
    RowBox[{"Abs", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Abs[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plIm", "=", 
  RowBox[{"LogLinearPlot", "[", 
   RowBox[{
    RowBox[{"Im", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Im[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Magenta", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plRe", "=", 
  RowBox[{"LogLinearPlot", "[", 
   RowBox[{
    RowBox[{"Re", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Re[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Green", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plArg", "=", 
  RowBox[{"LogLinearPlot", "[", 
   RowBox[{
    RowBox[{"Arg", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Arg[Z] [radian]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Brown", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"nulaIm", "[", "startOmega_", "]"}], ":=", 
   RowBox[{"\[Omega]", "/.", 
    RowBox[{"Quiet", "@", 
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Im", "[", "z", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Omega]", ",", "startOmega"}], "}"}]}], "]"}]}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"starts", "[", "n_Integer", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "q", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"N", "@", 
        RadicalBox[
         FractionBox["\[Omega]Max", "\[Omega]Min"], "n"]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Omega]Min", "*", 
         SuperscriptBox["q", "#"]}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "n"}], "]"}]}]}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"reseniPom", "=", 
   RowBox[{
    RowBox[{"nulaIm", "/@", 
     RowBox[{"starts", "[", "150", "]"}]}], "//", "Union"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vOboru", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"reseniPom", ",", 
     RowBox[{
      RowBox[{
      "\[Omega]Min", "\[LessEqual]", "#", "\[LessEqual]", "\[Omega]Max"}], 
      "&"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nulyImZ", "=", 
   RowBox[{"DeleteDuplicates", "[", 
    RowBox[{"vOboru", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"#1", "-", "#2"}], "]"}], "\[LessEqual]", "0.2"}], "&"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosadOmegyImNula", "=", 
   RowBox[{"nulyImZ", "/.", 
    RowBox[{"\[Omega]Im0_Real", "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", "->", "\[Omega]Im0"}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bodyImNula", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", 
      RowBox[{"Im", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pla", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{"bodyImNula", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plIm", ",", "pla"}], "]"}]}], "Input",
 CellChangeTimes->{{3.7969988485*^9, 3.79699891528125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bodyReImNula", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", 
      RowBox[{"Re", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plb", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{"bodyReImNula", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plRe", ",", "plb"}], "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bodyAbsImNula", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", 
      RowBox[{"Abs", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plc", "=", 
   RowBox[{"ListLogLogPlot", "[", 
    RowBox[{"bodyAbsImNula", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plAbs", ",", "plc"}], "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"bodyArgImNula", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Omega]", ",", 
      RowBox[{"Arg", "[", "z", "]"}]}], "}"}], "/.", "dosadOmegyImNula"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pld", "=", 
   RowBox[{"ListLogLinearPlot", "[", 
    RowBox[{"bodyArgImNula", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plArg", ",", "pld"}], "]"}]}], "Input"]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 2324, 73, 399, "Input"],
Cell[2885, 95, 88, 1, 46, "Input"],
Cell[2976, 98, 1760, 58, 330, "Input"],
Cell[4739, 158, 642, 16, 83, "Input"],
Cell[5384, 176, 696, 17, 110, "Input"],
Cell[6083, 195, 694, 17, 110, "Input"],
Cell[6780, 214, 688, 17, 113, "Input"],
Cell[7471, 233, 384, 12, 46, "Input"],
Cell[7858, 247, 616, 19, 198, "Input"],
Cell[8477, 268, 1607, 49, 215, "Input"],
Cell[10087, 319, 599, 18, 103, "Input"],
Cell[10689, 339, 600, 18, 103, "Input"],
Cell[11292, 359, 603, 18, 103, "Input"]
}
]
*)

