(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18457,        504]
NotebookOptionsPosition[     17549,        474]
NotebookOutlinePosition[     18034,        493]
CellTagsIndexPosition[     17991,        490]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"par", ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Total", "[", 
      SuperscriptBox["#", 
       RowBox[{"-", "1"}]], "]"}], 
     RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ser", ":=", "Total"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Qzadane", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0", "=", 
   RowBox[{"100", "Pi"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"params", "[", "i_Integer", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "rce", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"rce", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Qzadane", "\[Equal]", 
          RowBox[{"i", "*", 
           FractionBox[
            RowBox[{"\[Omega]0", "*", "L"}], 
            RowBox[{"R0", "*", "i"}]]}]}], ",", 
         RowBox[{
          FractionBox["1", 
           SqrtBox[
            RowBox[{"L", "*", "c"}]]], "\[Equal]", 
          RowBox[{"i", "*", "\[Omega]0"}]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Union", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", "rce", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", "\[Rule]", "R0"}], "}"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"params", "[", "1", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.796990003109375*^9, 3.796990017984375*^9}, {
   3.796990050484375*^9, 3.796990121921875*^9}, {3.796990164734375*^9, 
   3.79699034990625*^9}, {3.79699042696875*^9, 3.796990433765625*^9}, 
   3.796991452578125*^9, {3.79699150675*^9, 3.7969915075*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nDat", "=", "13"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dati", "[", "i_", "]"}], ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i", ",", "R", ",", "L", ",", "c"}], "}"}], "/.", 
    RowBox[{"params", "[", "i", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dats", "=", 
   RowBox[{"dati", "/@", 
    RowBox[{"Range", "[", 
     RowBox[{"2", ",", "nDat"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<dats.csv\>\"", ",", "dats"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.79699039590625*^9, 3.79699053096875*^9}, {
  3.79699086621875*^9, 3.7969908695*^9}, {3.796990996125*^9, 
  3.79699101940625*^9}, {3.796991050984375*^9, 3.796991052359375*^9}, {
  3.796991136921875*^9, 3.79699115953125*^9}, {3.79699180896875*^9, 
  3.7969918153125*^9}}],

Cell[BoxData[
 RowBox[{"(*", "*)"}]], "Input",
 CellChangeTimes->{{3.796999600703125*^9, 3.796999602328125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "v", " ", "souboru", " ", "\"\<dats.csv\>\"", " ", "jsou", " ", "radky", 
     " ", "obsaujici", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "R", ",", "L", ",", "c"}], "}"}]}], ",", " ", 
    RowBox[{
    "kde", " ", "i", " ", "pro", " ", "vase", " ", "vypocty", " ", 
     "nepotrebujete", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ale", " ", "elektrotechniky", " ", "muze", " ", "zajimat"}], 
       ",", " ", 
       RowBox[{
       "ze", " ", "je", " ", "to", " ", "index", " ", "harmonicke"}]}], 
      ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"R", ",", "L", ",", 
    RowBox[{"c", " ", "jsou", " ", "hodnoty", " ", "R"}], ",", " ", 
    RowBox[{
    "L", " ", "a", " ", "c", " ", "parelelne", " ", "zapojenych", " ", 
     "seriovych", " ", "kombinaci", " ", "R"}], ",", " ", 
    RowBox[{"L", " ", "a", " ", "c", " ", "obvodu"}], ",", " ", 
    RowBox[{"viz", " ", "obrazek"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "\"\<elektrikare\>\"", " ", "by", " ", "snad", " ", "mohlo", " ", 
     "zajimat"}], ",", " ", 
    RowBox[{
    "ze", " ", "jde", " ", "o", " ", "impedanci", " ", "filtru", " ", 
     "vyssich", " ", "harmonickych"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"napr", ".", " ", "paralelne"}], " ", "zapojeneho", " ", "ke", 
      " ", "spinanemu", " ", "zdroji"}], "..."}], ",", " ", 
    RowBox[{
    "ale", " ", "o", " ", "tom", " ", "vam", " ", "vice", " ", "reknou", " ", 
     "kolegove", " ", 
     RowBox[{"napr", ".", " ", "z"}], " ", "katedry", " ", "K13114"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"dats", "=", 
    RowBox[{"Import", "[", "\"\<dats.csv\>\"", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.79699053334375*^9, 3.796990569046875*^9}, {
   3.796990977078125*^9, 3.796990988171875*^9}, {3.796991057625*^9, 
   3.79699106278125*^9}, {3.796991162625*^9, 3.796991174109375*^9}, 
   3.796999571015625*^9, {3.797000463703125*^9, 3.797000571078125*^9}, {
   3.79700066175*^9, 3.7970007325625*^9}, {3.7970007768125*^9, 
   3.797000869515625*^9}, {3.79700398153125*^9, 3.79700398253125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"pro", " ", "\[Omega]0"}], "=", 
      RowBox[{"100", "Pi"}]}], ";", " ", "\[IndentingNewLine]", 
     RowBox[{"\[Omega]Min", "=", 
      RowBox[{"0.5", "*", "\[Omega]0"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Omega]Max", "=", 
      RowBox[{"2.", "*", "nDat", "*", "\[Omega]0"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"obor", "=", 
      RowBox[{"{", 
       RowBox[{"\[Omega]", ",", "\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"vytvorte", " ", "grafy", " ", 
      RowBox[{"Abs", "[", "z", "]"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Im", "[", "z", "]"}], " ", "a", " ", "pomoci", " ", "Print", 
      " ", "vypiste", " ", "impedanci", " ", "pro", " ", "\[Omega]"}], "=", 
     RowBox[{"267", "*", "2.", 
      RowBox[{"Pi", " ", "[", 
       SuperscriptBox["s", 
        RowBox[{"-", "1"}]], "]"}]}]}], ",", " ", 
    RowBox[{"tedy", " ", 
     RowBox[{"napr", ".", " ", 
      InterpretationBox[
       RowBox[{
        RowBox[{
        "\"\<Z[\[Omega]=2.*Pi*267]= \>\"", "\[InvisibleSpace]", 
         "4.641294891966049`"}], "\[InvisibleSpace]", "+", 
        RowBox[{
         RowBox[{"14.051923792542846`", " ", "\[ImaginaryI]"}], 
         "\[InvisibleSpace]", "\"\< \[CapitalOmega]\>\""}]}],
       SequenceForm["Z[\[Omega]=2.*Pi*267]= ", 
        Complex[4.641294891966049, 14.051923792542846`], " \[CapitalOmega]"],
       Editable->False]}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "267", "Hz", " ", "nas", " ", "zajima", " ", "kvuli", " ", "tomu"}], ",", 
    " ", 
    RowBox[{"ze", " ", "je", " ", "to", " ", "frekvence", " ", "HDO", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Hromadne", " ", "Dalkove", " ", "Ovladani"}], ",", " ", 
       RowBox[{"spina", " ", "vam", " ", "to", " ", 
        RowBox[{"napr", ".", " ", "boiler"}], " ", "a", " ", "kdysi", " ", 
        "se", " ", "tomu", " ", "rikalo", " ", "\"\<nocni proud\>\""}]}], 
      ")"}], " ", "a", " ", "zajima", " ", "nas"}], ",", " ", 
    RowBox[{
    "jak", " ", "nas", " ", "filtr", " ", "signal", " ", "HDO", " ", 
     "tlumi"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.79700095059375*^9, 3.797001106875*^9}, {
  3.797001153953125*^9, 3.797001157375*^9}, {3.797001193625*^9, 
  3.797001281921875*^9}, {3.797002013953125*^9, 3.797002030625*^9}, {
  3.797002067765625*^9, 3.79700206840625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"impedancei", "[", 
    RowBox[{"{", 
     RowBox[{"i_", ",", "R_", ",", "L_", ",", "c_"}], "}"}], "]"}], ":=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{"R", ",", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], ",", 
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zka", "=", 
   RowBox[{"impedancei", "/@", "dats"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", 
   RowBox[{"par", "[", "zka", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Min", "=", 
   RowBox[{"0.5", "*", "\[Omega]0"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]Max", "=", 
   RowBox[{"2.", "*", "nDat", "*", "\[Omega]0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"obor", "=", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "\[Omega]Min", ",", "\[Omega]Max"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.796990605140625*^9, 3.796990697*^9}, {
   3.7969907289375*^9, 3.796990747125*^9}, {3.79699080553125*^9, 
   3.796990837609375*^9}, {3.79699090296875*^9, 3.796990935390625*^9}, {
   3.796991205015625*^9, 3.7969913340625*^9}, {3.796991389765625*^9, 
   3.796991424921875*^9}, 3.797000895765625*^9, {3.797001140671875*^9, 
   3.79700114096875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plAbs", "=", 
   RowBox[{"LogLogPlot", "[", 
    RowBox[{
     RowBox[{"Abs", "[", "z", "]"}], ",", 
     RowBox[{"Evaluate", "@", "obor"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
        "\"\<Abs[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{3.797002084734375*^9, 3.79700278609375*^9}],

Cell[BoxData[
 RowBox[{"plIm", "=", 
  RowBox[{"LogLinearPlot", "[", 
   RowBox[{
    RowBox[{"Im", "[", "z", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Im[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Magenta", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.79700208903125*^9, 3.797002796546875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Z[\[Omega]=2.*Pi*267]= \>\"", ",", 
    RowBox[{"z", "/.", 
     RowBox[{"\[Omega]", "\[Rule]", 
      RowBox[{"2.", "*", "Pi", "*", "267"}]}]}], ",", 
    "\"\< \[CapitalOmega]\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.796991886375*^9, 3.796991932296875*^9}, 
   3.797002091703125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"za", " ", "dalsi", " ", "body", " ", "je", " ", "uloha"}], 
    "..."}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"pozdeji", " ", "se", " ", "ti", " ", "z", " ", "vas"}], ",", " ", 
    RowBox[{
    "kteri", " ", "se", " ", "budou", " ", "chtit", " ", "stat", " ", 
     "elektroenergetiky"}], ",", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"elektroenergetik", "..."}], "to", " ", "zni", " ", 
       RowBox[{"hrde", "!"}]}], ")"}], " ", "dozvedi"}], ",", " ", 
    RowBox[{
     RowBox[{"ze", " ", "pouzije"}], "-", 
     RowBox[{
     "li", " ", "se", " ", "v", " ", "trojfazove", " ", "soustave", " ", "za",
       " ", "jistych", " ", "okolnosti", " ", "vhodnny", " ", 
      "transformator"}]}], ",", " ", 
    RowBox[{
    "jiz", " ", "tento", " ", "transformator", " ", "dost", " ", "dobre", " ",
      "vyrusi", " ", 
     RowBox[{"(*", 
      RowBox[{"v", " ", "tomto", " ", "modelu", "  ", "vyzratuje"}], "*)"}], 
     " ", "ty", " ", "frekvence"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "ktere", " ", "jsou", " ", "nasobky", " ", "tri", " ", "vuci", " ", 
       "\[Omega]0"}], "..."}], " ", "je", " ", "tedy", " ", "zbytecne", " ", 
     "filtry", " ", "s", " ", "i", " ", "v", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "R", ",", "L", ",", "c"}], "}"}], " ", 
     "pripojovat"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tedy", " ", "uloha", " ", "je", " ", "totozna", " ", "s", " ", 
     "predchozi"}], ",", " ", 
    RowBox[{
    "jen", " ", "se", " ", "NEMAJI", " ", "pripojit", " ", "obvody", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "R", ",", "L", ",", "c"}], "}"}], " ", "kde", " ", 
     "i", " ", "je", " ", "delitelne", " ", "tremi"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"tedy", " ", "udelat", " ", "to"}], ",", " ", 
    RowBox[{"co", " ", "vyse"}], ",", " ", 
    RowBox[{
    "ale", " ", "vynechat", " ", "prvky", " ", "s", " ", "i", " ", 
     "delitelnym", " ", "tremi"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.797002174234375*^9, 3.797002427625*^9}, {
   3.797002461796875*^9, 3.797002545953125*^9}, 3.79700378871875*^9, {
   3.79700382884375*^9, 3.797003860828125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vyber", " ", "\"\<nenasobku tri\>\"", " ", "bez", " ", "pouziti", " ", 
    "pure", " ", "functions"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"test", "[", 
      RowBox[{"{", 
       RowBox[{"i_Integer", ",", "R_", ",", "L_", ",", "c_"}], "}"}], "]"}], ":=", 
     RowBox[{"Not", "[", 
      RowBox[{
       RowBox[{"Mod", "[", 
        RowBox[{"i", ",", "3"}], "]"}], "\[Equal]", "0"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dataNeNasobekTri", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"dats", ",", "test"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7970432100625*^9, 3.7970433465625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "ekvivalentni", " ", "vyber", " ", "s", " ", "pure", " ", "function", " ",
      "v", " ", "Select"}], ",", " ", 
    RowBox[{
    "vykricnik", " ", "je", " ", "ono", " ", "Not", " ", "cili", " ", 
     "negace"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dataNeNasobekTri", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"dats", ",", " ", 
       RowBox[{
        RowBox[{"!", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Mod", "[", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "3"}], "]"}], "\[Equal]", 
           "0"}], ")"}]}], "&"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zkaNeTri", "=", 
     RowBox[{"impedancei", "/@", "dataNeNasobekTri"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zNeTri", "=", 
     RowBox[{"par", "[", "zkaNeTri", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"plAbs", "=", 
    RowBox[{"LogLogPlot", "[", 
     RowBox[{
      RowBox[{"Abs", "[", "zNeTri", "]"}], ",", 
      RowBox[{"Evaluate", "@", "obor"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
         "\"\<Abs[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "500"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7970025818125*^9, 3.797002657546875*^9}, {
  3.797002699671875*^9, 3.797002766546875*^9}, {3.797043361921875*^9, 
  3.797043395359375*^9}}],

Cell[BoxData[
 RowBox[{"plIm", "=", 
  RowBox[{"LogLinearPlot", "[", 
   RowBox[{
    RowBox[{"Im", "[", "zNeTri", "]"}], ",", 
    RowBox[{"Evaluate", "@", "obor"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
       "\"\<Im[Z] [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Magenta", ",", 
       RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "500"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79700281109375*^9, 3.797002813609375*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 631, 20, 167, "Input"],
Cell[1192, 42, 1560, 42, 309, "Input"],
Cell[2755, 86, 880, 22, 131, "Input"],
Cell[3638, 110, 112, 2, 46, "Input"],
Cell[3753, 114, 2226, 52, 299, "Input"],
Cell[5982, 168, 2549, 60, 386, "Input"],
Cell[8534, 230, 1390, 36, 244, "Input"],
Cell[9927, 268, 759, 19, 111, "Input"],
Cell[10689, 289, 759, 18, 110, "Input"],
Cell[11451, 309, 363, 9, 46, "Input"],
Cell[11817, 320, 2348, 58, 355, "Input"],
Cell[14168, 380, 762, 21, 131, "Input"],
Cell[14933, 403, 1843, 49, 222, "Input"],
Cell[16779, 454, 766, 18, 110, "Input"]
}
]
*)

